Foreman - Bug #27662

New template input has Resource Type visible even it's input type is not using this value.
08/20/2019 01:10 AM - Ondrej Ezr

Status: Closed
Priority: Normal
Assignee: Ondrej Ezr
Category: Templates

Target version:

Difficulty: Fixed in Releases: 1.24.0
Triaged: Yes Found in Releases:
Bugzilla link: 1743525 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6991
Description

1. monitor -> report template -> create report template

2. inputs (tab) -> value type Search

3. Add another input (button Add input) and there is automatically Value type Plain together with Resource Type - Activation Keys
(which is wrong)

For Value type Plain there should be field Options and not Resource Type.

Actual result: When user add another input, right after previous input where value type was equal to Search, then for Value type Plain
there is still field Resource type.

Expected result: When user add another input, right after previous input where value type was equal to Search, then Value type Plain
should display field with name Options instead of Resource type.

Related issues:
Related to Foreman - Bug #27528: New input in report template does not allow ... Closed

Associated revisions

Revision 5d4da11d - 09/05/2019 12:56 PM - Ondrej Ezr
Fixes #27662 - template inputs - adding field

History

#1 - 08/20/2019 01:14 AM - Ondfrej Ezr

- Related to Bug #27528: New input in report template does not allow user to choose Resource Type added

#2 - 08/20/2019 10:27 AM - Ondrej Ezr
- Bugzilla link changed from 1728676 to 1743525

#3 - 08/21/2019 10:17 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ondrej Ezr

- Pull request https://github.com/theforeman/foreman/pull/6991 added

#4 - 09/05/2019 12:56 PM - The Foreman Bot
- Fixed in Releases 1.24.0 added

#5 - 09/05/2019 01:01 PM - Ondrej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset 5d4da11d337f1cbe6741e9372008a482fa8b1216.
